--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/audio/xmms2/Portfile	2009-09-24 20:17:55.000000000 -0700
+++ Portfile	2009-11-06 15:02:50.000000000 -0800
@@ -3,7 +3,7 @@
 PortSystem              1.0
 
 name                    xmms2
-version                 0.5DrLecter
+version                 0.6DrMattDestruction
 categories              audio
 maintainers             nomaintainer
 homepage                http://xmms2.xmms.org/
@@ -12,14 +12,13 @@
 use_bzip2               yes
 
 description             CrossPlatform Music Multiplexer System
-long_description        Audio player
+long_description        Next generation audio player of XMMS
 
-checksums               md5     9033ef15be9069ef43aeb4b6360a4d36 \
-                        sha1    08a8e6f7cee8a7b7161d2208361cda6d474427a4 \
-                        rmd160  085450a26de3261ab03ec27b76c00f2e0587a0cd
+checksums               md5     954fb9c76b5db5e324a105e81b273200 \
+                        sha1    524b64d2f8db1d7d84449566a46f6b56ad4ceabb \
+                        rmd160  c8d9b2a19ab7822f76e12fc2c78640c5a8e6e698
 
-set my_python           ${prefix}/bin/python2.5
-depends_build           port:python25 \
+depends_build           port:python26 \
                         port:pkgconfig
 depends_lib             path:lib/pkgconfig/glib-2.0.pc:glib2 \
                         port:gettext \
@@ -33,20 +32,74 @@
                         port:libmad \
                         port:libogg \
                         port:libvorbis \
-                        port:flac
+                        port:flac \
+                        port:ffmpeg \
+                        port:libdiscid \
+                        port:faad2 \
+                        port:fftw-3 \
+                        port:libmms \
+                        port:libmodplug \
+                        port:libmpcdec \
+                        port:mpg123 \
+                        port:readline \
+                        port:libsamplerate \
+                        port:libsdl \
+                        port:speex \
+                        port:wavpack
 
-patch {
-    foreach f [glob -directory ${worksrcpath} waf waf-lite wafadmin/*.py wafadmin/*/*.py] {
-        reinplace "s|^#!\\s*/usr/bin/env python\$|#!${my_python}|" ${f}
-    }
-}
+patchfiles		patch-src-lib-xmmsipc-socket_unix.c.diff
+patch.args              -p1
 
 configure.cmd           ./waf configure
-configure.env-append    PYTHON=${my_python}
-configure.args          --with-optionals pixmaps,cli,xmmsclient-cf,launcher,xmmsclient++-glib,et,dns_sd \
-                        --with-plugins equalizer,nulstripper,xspf,ao,vorbis,mp4,diskwrite,file,curl,null,normalize,daap,airplay,gme,cue,lastfm,gvfs,coreaudio,xml,id3v2,pls,mad,asx,wave,asf,flac,lastfmeta,karaoke,rss,m3u,replaygain,icymetaint
+configure.env-append    PYTHON=${prefix}/bin/python2.6
+configure.universal_args
+configure.args          --conf-prefix=${prefix} --nocache
 
 build.cmd               ./waf
 build.target            build
 
 destroot.destdir        --destdir=${destroot}
+
+if {![variant_isset cpp]} {
+	configure.args-append --without-optionals xmmsclient++,xmmsclient++-glib
+}
+
+if {![variant_isset perl]} {
+	configure.args-append --without-optionals perl
+}
+
+if {![variant_isset ruby]} {
+	configure.args-append --without-optionals ruby
+}
+
+# Python is currently undetectable.  Disabled temporarily
+#if {![variant_isset python]} {
+#   	configure.args-append --without-optionals python
+#}
+
+variant cpp description {C++ development support} {
+        depends_lib-append      port:boost
+}
+
+variant perl description {Perl development support} {
+	depends_lib-append      port:perl5
+}
+
+variant ruby description {Ruby development support} {
+        depends_lib-append	port:ruby
+}
+
+# Python is currently undetectable.  Disabled temporarily
+#variant python description {Python development support} {
+#        depends_lib-append	port:python26 \
+#                                port:py26-pyrex
+#}
+
+variant dev_dep description {Use development version of several dependencies} {
+        depends_lib-delete	port:ffmpeg \
+                                port:libsdl \
+                                port:speex
+        depends_lib-append      port:ffmpeg-devel \
+                                port:libsdl-devel \
+                                port:speex-devel
+}