Index: science/gnuradio-core/Portfile
===================================================================
--- science/gnuradio-core/Portfile	(revision 59851)
+++ science/gnuradio-core/Portfile	(working copy)
@@ -29,7 +29,7 @@
 
 depends_lib		port:gnuradio-omnithread \
 				port:gnuradio-gruel \
-				port:swig \
+				port:swig-python \
 				port:gsl
 
 configure.args	--disable-all-components \
Index: devel/librets/Portfile
===================================================================
--- devel/librets/Portfile	(revision 59851)
+++ devel/librets/Portfile	(working copy)
@@ -33,22 +33,27 @@
                --disable-python
 
 variant java description {Build Java bindings} {
+    depends_lib-append port:swig-java
     configure.args-delete --disable-java
 }
 
 variant perl description {Build Perl bindings} {
+    depends_lib-append port:swig-perl
     configure.args-delete --disable-perl
 }
 
 variant php5 description {Build PHP5 bindings} {
+    depends_lib-append port:swig-php5
     configure.args-delete --disable-php
 }
 
 variant python description {Build Python bindings} {
+    depends_lib-append port:swig-python
     configure.args-delete --disable-pithon
 }
 
 variant ruby description {Build Ruby bindings} {
+    depends_lib-append port:swig-ruby
     configure.args-delete --disable-ruby
 }
 
Index: math/octave-database/Portfile
===================================================================
--- math/octave-database/Portfile	(revision 59851)
+++ math/octave-database/Portfile	(working copy)
@@ -25,7 +25,7 @@
 
 patchfiles          patch-sqlite3_wrap.cpp.diff patch-odbc_wrap.cpp.diff
 
-depends_lib-append  port:octave port:swig port:postgresql82 path:bin/mysql_config5:mysql5 port:sqlite3 port:unixODBC
+depends_lib-append  port:octave port:swig-octave port:postgresql82 path:bin/mysql_config5:mysql5 port:sqlite3 port:unixODBC
 
 post-destroot {
     move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name}
Index: devel/opensync/Portfile
===================================================================
--- devel/opensync/Portfile	(revision 59851)
+++ devel/opensync/Portfile	(working copy)
@@ -34,7 +34,7 @@
                 port:py26-numeric \
                 port:python26 \
                 port:sqlite3 \
-                port:swig \
+                port:swig-python \
                 port:zlib
 
 post-patch {
Index: science/playerstage-player/Portfile
===================================================================
--- science/playerstage-player/Portfile	(revision 59851)
+++ science/playerstage-player/Portfile	(working copy)
@@ -32,7 +32,7 @@
                 port:boost \
                 port:gsl \
                 port:python25 \
-                port:swig
+                port:swig-python
 
 configure.env   PYTHON=python2.5
 
Index: science/plplot/Portfile
===================================================================
--- science/plplot/Portfile	(revision 59851)
+++ science/plplot/Portfile	(working copy)
@@ -32,7 +32,7 @@
                 port:libLASi \
                 port:libpng \
                 path:lib/pkgconfig/pango.pc:pango \
-                port:swig \
+                port:swig-tcl \
                 port:tcl \
                 port:tk \
                 port:aquaterm \
@@ -134,19 +134,21 @@
 }
 
 variant octave description {Add support for Octave} {
-    depends_lib-append       port:octave
+    depends_lib-append       port:octave port:swig-octave
     configure.args-delete   -DENABLE_octave=OFF
     configure.args-append   -DENABLE_octave=ON
 }
 
 variant java description {Add support for Java} {
+    depends_lib-append       port:swig-java
     configure.args-delete   -DENABLE_java=OFF
     configure.args-append   -DENABLE_java=ON
 }
 
 variant python25 description {Add support for python25} {
     depends_lib-append      port:python25 \
-                            port:py25-numpy
+                            port:py25-numpy \
+                            port:swig-python
     configure.args-delete   -DENABLE_python=OFF
     configure.args-append   -DENABLE_python=ON \
                             -DHAVE_NUMPY:BOOL=ON \
Index: python/py-m2crypto/Portfile
===================================================================
--- python/py-m2crypto/Portfile	(revision 59851)
+++ python/py-m2crypto/Portfile	(working copy)
@@ -17,7 +17,7 @@
 
 checksums			sha1 e99804e249ed855c7e899ba22f2ab3bb1f947ca1
 
-depends_lib-append		bin:swig:swig port:openssl
+depends_lib-append		bin:swig:swig-python port:openssl
 
 build.args			--openssl=${prefix}
 
Index: python/py-pylibpcap/Portfile
===================================================================
--- python/py-pylibpcap/Portfile	(revision 59851)
+++ python/py-pylibpcap/Portfile	(working copy)
@@ -22,7 +22,7 @@
 checksums		sha1 f47d6e5d72219e2162f1b16e59f3c45e496652d9 \
 			rmd160 dbda6fec0786630c3af65d540b57507f888d1d78
 
-depends_lib-append	port:libpcap port:swig
+depends_lib-append	port:libpcap port:swig-python
 
 post-destroot {
     set sharedir ${destroot}${prefix}/share/doc/${name}-${version}
Index: python/py-scipy/Portfile
===================================================================
--- python/py-scipy/Portfile	(revision 59851)
+++ python/py-scipy/Portfile	(working copy)
@@ -22,7 +22,7 @@
 depends_lib-append      port:py-numpy \
                         port:py-nose \
                         port:SuiteSparse \
-                        port:swig
+                        port:swig-python
 
 worksrcdir              ${distname}
 
Index: python/py25-m2crypto/Portfile
===================================================================
--- python/py25-m2crypto/Portfile	(revision 59851)
+++ python/py25-m2crypto/Portfile	(working copy)
@@ -20,7 +20,7 @@
                    sha1 6e85d7035971c353db74a497fca0ec2eaea4dea0 \
                    rmd160 7376195fd586e7834d41229a4798f8810b86eed2
 
-depends_lib-append bin:swig:swig \
+depends_lib-append bin:swig:swig-python \
                    port:openssl \
                    port:py25-setuptools
 
Index: python/py25-pygraphviz/Portfile
===================================================================
--- python/py25-pygraphviz/Portfile	(revision 59851)
+++ python/py25-pygraphviz/Portfile	(working copy)
@@ -21,6 +21,6 @@
                         sha1    038b5d15ae52d93adec4e56f7a25ecce13a9239e \
                         rmd160  564ca0129a17461d5d95a62d5c9549ed557843b0
 
-depends_lib-append      bin:swig:swig \
+depends_lib-append      bin:swig:swig-python \
                         path:bin/dot:graphviz \
                         port:py25-setuptools
Index: python/py25-pylibpcap/Portfile
===================================================================
--- python/py25-pylibpcap/Portfile	(revision 59851)
+++ python/py25-pylibpcap/Portfile	(working copy)
@@ -22,7 +22,7 @@
 checksums		sha1 f47d6e5d72219e2162f1b16e59f3c45e496652d9 \
 			rmd160 dbda6fec0786630c3af65d540b57507f888d1d78
 
-depends_lib-append	port:libpcap port:swig
+depends_lib-append	port:libpcap port:swig-python
 
 post-destroot {
     set sharedir ${destroot}${prefix}/share/doc/${name}-${version}
Index: python/py25-pymvpa/Portfile
===================================================================
--- python/py25-pymvpa/Portfile	(revision 59851)
+++ python/py25-pymvpa/Portfile	(working copy)
@@ -27,7 +27,7 @@
                         port:py25-pynifti \
                         port:py25-hcluster \
                         port:libsvm \
-                        port:swig \
+                        port:swig-python \
                         port:py25-pywavelets \
                         port:shogun \
                         port:py25-matplotlib
Index: python/py25-pynifti/Portfile
===================================================================
--- python/py25-pynifti/Portfile	(revision 59851)
+++ python/py25-pynifti/Portfile	(working copy)
@@ -21,7 +21,7 @@
 
 depends_lib             port:py25-numpy \
                         port:nifticlib \
-                        port:swig
+                        port:swig-python
 
 depends_build           port:gcc43
 
Index: python/py25-scipy/Portfile
===================================================================
--- python/py25-scipy/Portfile	(revision 59851)
+++ python/py25-scipy/Portfile	(working copy)
@@ -22,7 +22,7 @@
 depends_lib-append      port:py25-numpy \
                         port:py25-nose \
                         port:SuiteSparse \
-                        bin:swig:swig
+                        bin:swig:swig-python
 
 worksrcdir              ${distname}
 
Index: python/py26-m2crypto/Portfile
===================================================================
--- python/py26-m2crypto/Portfile	(revision 59851)
+++ python/py26-m2crypto/Portfile	(working copy)
@@ -20,7 +20,7 @@
                    sha1 6e85d7035971c353db74a497fca0ec2eaea4dea0 \
                    rmd160 7376195fd586e7834d41229a4798f8810b86eed2
 
-depends_lib-append bin:swig:swig \
+depends_lib-append bin:swig:swig-python \
                    port:openssl \
                    port:py26-setuptools
 
Index: python/py26-pyepl/Portfile
===================================================================
--- python/py26-pyepl/Portfile	(revision 59851)
+++ python/py26-pyepl/Portfile	(working copy)
@@ -1,5 +1,5 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
-# $Id: Portfile 52656 2009-06-20 18:09:47Z jameskyle@macports.org $
+# $Id$
 
 PortSystem              1.0
 PortGroup               python26 1.0
@@ -19,7 +19,7 @@
 
 depends_lib             port:libsndfile \
                         port:libsamplerate \
-                        port:swig \
+                        port:swig-python \
                         port:py26-numpy \
                         port:py26-pil \
                         port:py26-opengl \
Index: python/py26-pygraphviz/Portfile
===================================================================
--- python/py26-pygraphviz/Portfile	(revision 59851)
+++ python/py26-pygraphviz/Portfile	(working copy)
@@ -26,6 +26,6 @@
                         sha1 038b5d15ae52d93adec4e56f7a25ecce13a9239e \
                         rmd160 564ca0129a17461d5d95a62d5c9549ed557843b0
 
-depends_lib-append      bin:swig:swig \
+depends_lib-append      bin:swig:swig-python \
                         path:bin/dot:graphviz \
                         port:py26-setuptools
Index: python/py26-pylibpcap/Portfile
===================================================================
--- python/py26-pylibpcap/Portfile	(revision 59851)
+++ python/py26-pylibpcap/Portfile	(working copy)
@@ -22,7 +22,7 @@
 checksums		sha1 f47d6e5d72219e2162f1b16e59f3c45e496652d9 \
 			rmd160 dbda6fec0786630c3af65d540b57507f888d1d78
 
-depends_lib-append	port:libpcap port:swig
+depends_lib-append	port:libpcap port:swig-python
 
 post-destroot {
     set sharedir ${destroot}${prefix}/share/doc/${name}-${version}
Index: python/py26-pymvpa/Portfile
===================================================================
--- python/py26-pymvpa/Portfile	(revision 59851)
+++ python/py26-pymvpa/Portfile	(working copy)
@@ -27,7 +27,7 @@
                         port:py26-pynifti \
                         port:py26-hcluster \
                         port:libsvm \
-                        port:swig \
+                        port:swig-python \
                         port:py26-pywavelets \
                         port:shogun \
                         port:py26-matplotlib
Index: python/py26-pynifti/Portfile
===================================================================
--- python/py26-pynifti/Portfile	(revision 59851)
+++ python/py26-pynifti/Portfile	(working copy)
@@ -21,7 +21,7 @@
 
 depends_lib             port:py26-numpy \
                         port:nifticlib \
-                        port:swig
+                        port:swig-python
 
 depends_build           port:gcc43
 
Index: python/py26-scikits-ann/Portfile
===================================================================
--- python/py26-scikits-ann/Portfile	(revision 59851)
+++ python/py26-scikits-ann/Portfile	(working copy)
@@ -28,7 +28,7 @@
 
 depends_lib         port:py26-numpy \
                     port:py26-scikits-module \
-                    port:swig \
+                    port:swig-python \
                     port:libANN
 
 build.env-append    CFLAGS=-I${prefix}/include
Index: python/py26-scipy/Portfile
===================================================================
--- python/py26-scipy/Portfile	(revision 59851)
+++ python/py26-scipy/Portfile	(working copy)
@@ -23,7 +23,7 @@
 depends_lib-append      port:py26-numpy \
                         port:py26-nose \
                         port:SuiteSparse \
-                        bin:swig:swig \
+                        bin:swig:swig-python \
                         port:atlas
 
 worksrcdir              ${distname}
Index: math/shogun/Portfile
===================================================================
--- math/shogun/Portfile	(revision 59851)
+++ math/shogun/Portfile	(working copy)
@@ -34,7 +34,7 @@
                     port:gsed \
                     port:gcc43
 
-depends_lib         port:swig \
+depends_lib         port:swig-python \
                     port:atlas \
                     port:readline \
                     port:glpk \
@@ -86,6 +86,7 @@
 if {[variant_isset no_python26] && ![variant_isset python25]} {
     set interfaces [lremove ${interfaces} "python"]
     set interfaces [lremove ${interfaces} "python_modular"]
+    depends_lib-delete port:swig-python
 }
 
 #if {[variant_isset matlab]} {lappend interfaces "matlab"}
@@ -117,11 +118,11 @@
 }
 
 variant r description {Build the R API} {
-  depends_lib-append port:R
+  depends_lib-append port:R port:swig-r
 }
 
 variant octave description {Build the Octave API} {
-  depends_lib-append port:octave
+  depends_lib-append port:octave port:swig-octave
 }
 
 variant no_glpk description {Disable glpk support} {
@@ -159,20 +160,6 @@
       return -code error "incompatible swig installation"
     }
   }
-    
-  if {[variant_isset r]} {
-    if {![file exists ${prefix}/share/swig/${sversion}/r/r.swg]} {
-      ui_error "To install shogun with the r variant, swig must be installed with the r variant as well."
-      return -code error "incompatible swig installation"
-    }
-  }
-  
-  if {[variant_isset octave]} {
-    if {![file exists ${prefix}/share/swig/${sversion}/octave/octave.swg]} {
-      ui_error "To install shogun with the octave variant, swig must be installed with the octave variant as well."
-      return -code error "incompatible swig installation"
-    }
-  }
 }
 
 pre-configure {
Index: python/py-gsl/Portfile
===================================================================
--- python/py-gsl/Portfile	(revision 59851)
+++ python/py-gsl/Portfile	(working copy)
@@ -23,7 +23,7 @@
 build.env               CFLAGS="-I${prefix}/include/gsl -I${prefix}/include/python2.4 -I${prefix}/include" \
                         LDFLAGS=-L${prefix}/lib
 
-depends_build           port:swig
+depends_build           port:swig-python
 
 pre-build {
     # Resolve GSL version issue (1.9 vs 1.10) by re-creating this file using swig
Index: python/py25-gsl/Portfile
===================================================================
--- python/py25-gsl/Portfile	(revision 59851)
+++ python/py25-gsl/Portfile	(working copy)
@@ -23,7 +23,7 @@
 build.env               CFLAGS="-I${prefix}/include/gsl -I${prefix}/include/python2.5 -I${prefix}/include" \
                         LDFLAGS=-L${prefix}/lib
 
-depends_build           port:swig
+depends_build           port:swig-python
 depends_lib             port:gsl
 
 pre-build {