Index: playerstage-player/files/patch-CMakeLists.txt
===================================================================
--- playerstage-player/files/patch-CMakeLists.txt	(revision 0)
+++ playerstage-player/files/patch-CMakeLists.txt	(revision 0)
@@ -0,0 +1,33 @@
+--- utils/playerjoy/CMakeLists.txt.orig	2009-07-13 21:48:56.000000000 -0500
++++ utils/playerjoy/CMakeLists.txt	2009-11-22 07:22:56.000000000 -0600
+@@ -4,7 +4,7 @@
+         MESSAGE (STATUS "playerjoy will not be built - termios and joystick are not supported under Windows")
+     ELSE (PLAYER_OS_WIN)
+         IF (BUILD_PLAYERCC)
+-            INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/client_libs ${PROJECT_BINARY_DIR}/client_libs)
++            INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/client_libs ${PROJECT_BINARY_DIR}/client_libs @PREFIX@/include)
+ 
+             LINK_DIRECTORIES (${PLAYERCC_EXTRA_LINK_DIRS})
+             PLAYER_ADD_EXECUTABLE (playerjoy playerjoy.cc)
+--- utils/playerprint/CMakeLists.txt.orig	2009-07-13 09:03:44.000000000 -0500
++++ utils/playerprint/CMakeLists.txt	2009-11-22 08:11:54.000000000 -0600
+@@ -18,7 +18,7 @@
+             INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/replace)
+         ENDIF (NOT HAVE_GETTIMEOFDAY)
+ 
+-        INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/client_libs ${PROJECT_BINARY_DIR}/client_libs)
++        INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/client_libs ${PROJECT_BINARY_DIR}/client_libs @PREFIX@/include)
+ 
+         LINK_DIRECTORIES (${PLAYERCC_EXTRA_LINK_DIRS})
+         PLAYER_ADD_EXECUTABLE (playerprint playerprint.cc ${getoptSrc} ${usleepSrc} ${gettimeofdaySrc})
+--- utils/playerprop/CMakeLists.txt.orig	2009-07-13 09:03:44.000000000 -0500
++++ utils/playerprop/CMakeLists.txt	2009-11-22 08:21:09.000000000 -0600
+@@ -8,7 +8,7 @@
+             INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/replace)
+             SET (playerreplaceLib playerreplace)
+         ENDIF (NOT HAVE_GETOPT)
+-        INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/client_libs ${PROJECT_BINARY_DIR}/client_libs)
++        INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/client_libs ${PROJECT_BINARY_DIR}/client_libs @PREFIX@/include)
+ 
+         LINK_DIRECTORIES (${PLAYERCC_EXTRA_LINK_DIRS})
+         PLAYER_ADD_EXECUTABLE (playerprop playerprop.cpp ${getoptSrc})

Property changes on: playerstage-player/files/patch-CMakeLists.txt
___________________________________________________________________
Added: svn:eol-style
   + native

Index: playerstage-player/Portfile
===================================================================
--- playerstage-player/Portfile	(revision 60754)
+++ playerstage-player/Portfile	(working copy)
@@ -1,8 +1,10 @@
 # $Id$
+
 PortSystem        1.0
+PortGroup         cmake 1.0
+
 name              playerstage-player
-version           2.0.4
-revision          2
+version           3.0.0
 categories        science
 platforms         darwin
 maintainers       ai.sri.com:vincent
@@ -18,12 +20,22 @@
 master_sites      sourceforge:playerstage
 
 distname player-${version}
-use_bzip2 yes
-checksums sha1 96ae46abe9a81cab045b2a9ae6479a44fc6f2ac2
 
-worksrcdir player-${version}
+checksums               md5     5beee8655754559d5b80d9fcfbd3dd69 \
+                        sha1    5f24d7cd0565f98bf7a2615694304cf90e8fb679 \
+                        rmd160  3a07213b51e8cc9ccd68a75c539a0fb9056b5127
+
+# Some of the utils can't find the boost headers...
+patchfiles              patch-CMakeLists.txt
+post-patch {
+    reinplace "s|@PREFIX@|${prefix}|g" \
+        ${worksrcpath}/utils/playerjoy/CMakeLists.txt \
+        ${worksrcpath}/utils/playerprint/CMakeLists.txt \
+        ${worksrcpath}/utils/playerprop/CMakeLists.txt
+}
 
 depends_build   port:libtool port:pkgconfig
+
 depends_lib     port:gtk2 \
                 port:jpeg \
                 port:libpng \
@@ -31,9 +43,6 @@
                 port:tiff \
                 port:boost \
                 port:gsl \
-                port:python25 \
-                port:swig-python
-
-configure.env   PYTHON=python2.5
-
-use_parallel_build no
+                port:python26 \
+                port:swig-python \
+                port:swig-ruby
Index: playerstage-stage/Portfile
===================================================================
--- playerstage-stage/Portfile	(revision 60754)
+++ playerstage-stage/Portfile	(working copy)
@@ -1,7 +1,11 @@
 # $Id$
+
 PortSystem        1.0
+PortGroup         cmake 1.0
+PortGroup         archcheck 1.0
+
 name              playerstage-stage
-version           2.0.3
+version           3.2.2
 categories        science
 platforms         darwin
 maintainers       ai.sri.com:vincent
@@ -16,10 +20,30 @@
 homepage          http://playerstage.sourceforge.net
 master_sites      sourceforge:playerstage
 
-distname stage-${version}
-use_bzip2 yes
-checksums sha1 2595fa2b004cc81fcdd89d1630bffa55304c7522
+distname                Stage-${version}-Source
+
+checksums               md5     ca93c7c9746354679829092640c49ec6 \
+                        sha1    783e16c179c76a65b64ad352c500f8ef6f3f1f2c \
+                        rmd160  c0143cbcb5365110f7990fee27c3537cdad3a433
+
+depends_build           port:pkgconfig \
+                        port:fltk
+
+depends_lib             port:playerstage-player \
+                        port:libtool \
+                        port:libpng \
+                        port:jpeg
 
-worksrcdir stage-${version}
+archcheck.files         lib/libfltk.a \
+                        lib/libplayercore.dylib \
+                        lib/libltdl.dylib \
+                        lib/libpng.dylib \
+                        lib/libjpeg.dylib
 
-depends_lib port:playerstage-player
+# fltk is 32-bit only.
+universal_variant       no
+if {${build_arch} == "x86_64"} {
+    configure.build_arch i386
+} elseif {${build_arch} == "ppc64"} {
+    configure.build_arch ppc
+}