Index: muniversal-1.0.tcl
===================================================================
--- muniversal-1.0.tcl	(revision 61497)
+++ muniversal-1.0.tcl	(working copy)
@@ -484,7 +484,46 @@
                                                 copy ${dir1}/${fl} ${dir}/mods64
                                             }
                                         }
-                                        *.la -
+                                        *.la {
+                                            set known_file "yes"
+                                            set la1_channel [open ${dir1}/${fl}]
+                                            set la2_channel [open ${dir2}/${fl}]
+                                            set la1_data [read $la1_channel]
+                                            set la2_data [read $la2_channel]
+                                            close $la1_channel
+                                            close $la2_channel
+                                            set la1_lines [split $la1_data \n]
+                                            set la2_lines [split $la2_data \n]
+                                            if {[llength la1_lines] == [llength la2_lines]} {
+                                                set lam_channel [open ${dir}/${fl} w]
+                                                foreach la1_line $la1_lines la2_line $la2_lines {
+                                                    if {$la1_line == $la2_line} {
+                                                        puts $lam_channel $la1_line
+                                                    } else {
+                                                        if {[regexp -nocase {(.*?)='(.*)'} $la1_line la1_fmatch la1_key la1_value] && [regexp -nocase {(.*?)='(.*)'} $la2_line la1_fmatch la2_key la2_value] && ${la1_key} == ${la2_key}} {
+                                                            if {${la1_key} == "dependency_libs"} {
+                                                                set merged_value ${la1_value}
+                                                                foreach value2 ${la2_value} {
+                                                                    if {[lsearch -exact ${merged_value} ${value2}] < 0} {
+                                                                        set merged_value "${merged_value} ${value2}"
+                                                                    }
+                                                                }
+                                                                puts $lam_channel "${la1_key}='${merged_value}'"
+                                                            } else {
+                                                                close ${lam_channel}
+                                                                return -code error "${prefixDir}/${fl} differs in ${base1} and ${base2} and cannot be merged (cannot merge key ${la1_key})\nline1: ${la1_line}\nline2: ${la2_line}"
+                                                            }
+                                                        } else {
+                                                            close ${lam_channel}
+                                                            return -code error "${prefixDir}/${fl} differs in ${base1} and ${base2} and cannot be merged (mismatching keys)\nline1: ${la1_line}\nline2: ${la2_line}"
+                                                        }
+                                                    }
+                                                }
+                                                close ${lam_channel}
+                                            } else {
+                                                return -code error "${prefixDir}/${fl} differs in ${base1} and ${base2} and cannot be merged (different number of lines)"
+                                            }
+                                        }
                                         *.pc -
                                         *-config {
                                             return -code error "${prefixDir}/${fl} differs in ${base1} and ${base2} and cannot be merged"